Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class MailSearcher

    java.lang.Object
      com.knowgate.lucene.MailSearcher

    public class MailSearcher

extends java.lang.Object

Search into a Lucene full text index for e-mails

Constructor Summary
`MailSearcher()`

Method Summary
`static java.lang.String` | `escape(java.lang.String sInput)` Escape special characters from a Lucene query
`static MailRecord[]` | `search(java.lang.String sLuceneIndexPath, java.lang.String sWorkArea, java.lang.String[] aFolderName, java.lang.String sSender, java.lang.String sRecipient, java.lang.String sSubject, java.util.Date dtFromDate, java.util.Date dtToDate, java.lang.String sText, int iLimit, java.util.Comparator oSortBy)` Compose a Lucene query based on given parameters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailSearcher

    public MailSearcher()

Method Detail

### search

    public static MailRecord[] search(java.lang.String sLuceneIndexPath,
                                      java.lang.String sWorkArea,
                                      java.lang.String[] aFolderName,
                                      java.lang.String sSender,
                                      java.lang.String sRecipient,
                                      java.lang.String sSubject,
                                      java.util.Date dtFromDate,
                                      java.util.Date dtToDate,
                                      java.lang.String sText,
                                      int iLimit,
                                      java.util.Comparator oSortBy)
                               throws ParseException,
                                      java.io.IOException,
                                      java.lang.NullPointerException

  Compose a Lucene query based on given parameters

  Parameters:
    `sLuceneIndexPath` - String Base path for Lucene indexes excluding WorkArea and table name
    `sWorkArea` - String GUID of WorkArea to be searched, cannot be null
    `sFolderName` - String
    `sSender` - String
    `sRecipient` - String
    `sSubject` - String
    `sFromDate` - String
    `sToDate` - String
    `sText` - String
    `iLimit` - int
    `oSortBy` - Comparator
  Returns:
    MailRecord[]
  Throws:
    `ParseException`
    `java.io.IOException`
    `java.lang.NullPointerException`

### escape

    public static java.lang.String escape(java.lang.String sInput)

  Escape special characters from a Lucene query

  Returns:
    The input string with any character of set +-&|!(){}[]^"~*?:\ be preceded by a backslash

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD